# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-eventlet
Version:        0.9.15
Release:        2%{?dist}
Summary:        Highly concurrent networking library
Group:          Development/Libraries
License:        MIT
URL:            http://eventlet.net
Source0:        http://pypi.python.org/packages/source/e/eventlet/eventlet-%{version}.tar.gz
Patch0:         eventlet-socket-timeout.patch
Patch1:         eventlet-subprocess-timeout.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-greenlet
Requires:       python-greenlet

%description
Eventlet is a networking library written in Python. It achieves high
scalability by using non-blocking io while at the same time retaining
high programmer usability by using coroutines to make the non-blocking
io operations appear blocking at the source code level.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for the python-eventlet package.


%prep
%setup -q -n eventlet-%{version}
find -name '.*' -type f -exec rm {} \;
sed -i -e 's/
//g' tests/mock.py
sed -i -e '1d' eventlet/support/greendns.py
%patch0 -p1 
%patch1 -p1 

%build
%{__python} setup.py build
pushd doc
make html
rm _build/html/.buildinfo
popd
chmod a-x tests/mock.py

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE NEWS README README.twisted
%{python_sitelib}/eventlet
%{python_sitelib}/eventlet*.egg-info

%files doc
%defattr(-,root,root,-)
%doc doc/_build/html examples tests

%changelog
* Thu May 26 2011 David Robinson <david.robinson@betfair.com> - 0.9.15-2
- patch from issue #89

* Tue May 17 2011 Andrey Brindeyev <abrindeyev@griddynamics.com> - 0.9.15-1
- 0.9.15
- patch from issue #87

* Fri Feb 18 2011 Andrey Brindeyev <abrindeyev@griddynamics.com> 0.9.12-1.1
- Added patch from Soren Hansen
  See https://bitbucket.org/which_linden/eventlet/issue/77/subprocess-module-fails-if-os-module-is

* Wed Sep 08 2010 Lev Shamardin <shamardin@gmail.com> - 0.9.12-1
- Updated to version 0.9.12.

* Wed Jul 28 2010 Lev Shamardin <shamardin@gmail.com> - 0.9.9-1
- Updated to version 0.9.9.

* Wed Apr 14 2010 Lev Shamardin <shamardin@gmail.com> - 0.9.7-1
- Initial package version.
